Bug 146212 - Need updated schema on MTV Oracle instance
Need updated schema on MTV Oracle instance
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Slagle
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2005-01-25 19:23 EST by Mike McCune
Modified: 2007-04-18 13:18 EDT (History)
0 users

See Also:
Fixed In Version: rhn370
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 15:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-01-25 19:23:39 EST
We have an oracle instance on test-db-1.nplab.redhat.com
(calistoga.nplab.redhat.com) in Mountain View that is way out of date
and is unusable.

Need to educate mmccune on how to get it up to date with the latest
schema or develop some minimal process to keep it updated.
Comment 1 Bret McMillan 2005-01-26 10:26:59 EST
james... not sure what's the best way to go about this... either a
complete schema refresh from the build system, or a TOAD diff + script.  

Heh, even if we use the build system, we'll probably need a diff
anyway.  So might not be bad to see how far from reality a "pristine"
hosted schema would be from stage.
Comment 2 Mike McCune 2005-01-26 12:39:49 EST
Just as a headsup, I tried to connect to the box with the following
tnsnames entry:

webdev2 =
  (DESCRIPTION =
    (ADDRESS_LIST =
      (ADDRESS = 
        (PROTOCOL = TCP)
        (HOST = test-db-1.nplab.redhat.com)
        (PORT = 1521))
    )
    (CONNECT_DATA =
      (SID = webdev2)
    )
  )

using:

yasql rhnuser/rhnuser@webdev

and got:

Attempting connection to rhnuser@webdev2
Error: Could not connect to database: ORA-12541: TNS:no listener (DBD
ERROR: OCIServerAttach) [12541]

I logged into the box (standard RHN root password) and poked around. 
Oracle was listening on 1521, I stopped/started oracle with the init.d
script but it still wouldn't accept my connection.  

Any assistance on getting the listener to respond to requests would be
great.
Comment 3 Jesus M. Rodriguez 2005-01-28 23:23:27 EST
Mike, usually there are two parts to Oracle. The database and the TNS
Listener.  Sounds like you bounced the DB but not the listener.
Comment 4 James Slagle 2005-03-04 13:54:42 EST
I got the db/listener started.  I successfully connected remotely.  Although I
had to put the following in my tnsnames:



webdev2 =
  (DESCRIPTION =
    (ADDRESS_LIST =
      (ADDRESS =
        (PROTOCOL = TCP) (HOST = calistoga.nplab.redhat.com) (PORT = 1521))
    )
    (CONNECT_DATA =
      (SID = webdev2)
    )
  )

It didn't seem to like test-db-1 as the host.  calistoga and test-db-1 both
resolve to the same IP.

Mike, what version of the scheam do you want loaded?  The latest 3.6 version?
Comment 5 James Slagle 2005-03-04 16:42:57 EST
Dropped all objects in webdev2 instance.  Intalled the latest 3.7 satellite
schema.  All of the objects are owned by the rhn user.  Let me know if you have
any problems.
Comment 6 James Slagle 2005-09-27 15:51:56 EDT
This was completed.

Note You need to log in before you can comment on or make changes to this bug.